Audience Performance Reports
Create, manage, and run saved Audience Performance reports with the REST API.
Use saved Audience Performance reports to keep a named conversion event, audience definition, attribution window, and optional date range together. Run a saved report with its stored dates or supply from and to to override them for one request.
Authorization
apiKey Ours Privacy API key
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/audience-conversion-reports"{ "entities": [ { "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "eventName": "string", "valueProperty": "string", "attributionWindow": "string", "filters": [ { "dimension": "browser", "operator": "CONTAINS", "values": [ "string" ] } ], "dateFrom": "string", "dateTo": "string", "createdAt": "string", "updatedAt": "string", "webSourceId": "90bcbbb6-bb52-4b04-a987-df4c7cb087ee", "excludeBots": true } ]}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}Authorization
apiKey Ours Privacy API key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/rest/v1/audience-conversion-reports" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "eventName": "string", "valueProperty": "string", "attributionWindow": "string" }'{ "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "eventName": "string", "valueProperty": "string", "attributionWindow": "string", "filters": [ { "dimension": "browser", "operator": "CONTAINS", "values": [ "string" ] } ], "dateFrom": "string", "dateTo": "string", "createdAt": "string", "updatedAt": "string", "webSourceId": "90bcbbb6-bb52-4b04-a987-df4c7cb087ee", "excludeBots": true}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/audience-conversion-reports/string"{ "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "eventName": "string", "valueProperty": "string", "attributionWindow": "string", "filters": [ { "dimension": "browser", "operator": "CONTAINS", "values": [ "string" ] } ], "dateFrom": "string", "dateTo": "string", "createdAt": "string", "updatedAt": "string", "webSourceId": "90bcbbb6-bb52-4b04-a987-df4c7cb087ee", "excludeBots": true}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/rest/v1/audience-conversion-reports/string" \ -H "Content-Type: application/json" \ -d '{}'{ "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "eventName": "string", "valueProperty": "string", "attributionWindow": "string", "filters": [ { "dimension": "browser", "operator": "CONTAINS", "values": [ "string" ] } ], "dateFrom": "string", "dateTo": "string", "createdAt": "string", "updatedAt": "string", "webSourceId": "90bcbbb6-bb52-4b04-a987-df4c7cb087ee", "excludeBots": true}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/rest/v1/audience-conversion-reports/string"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deleted": true}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Query Parameters
^\d{4}-\d{2}-\d{2}$^\d{4}-\d{2}-\d{2}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/audience-conversion-reports/string/results"{ "summary": { "audienceSize": 0, "conversions": 0, "totalValue": 0, "converters": 0, "conversionRate": 0, "avgValuePerConversion": 0, "avgValuePerConvertingVisitor": 0 }, "previousSummary": { "audienceSize": 0, "conversions": 0, "totalValue": 0, "converters": 0, "conversionRate": 0, "avgValuePerConversion": 0, "avgValuePerConvertingVisitor": 0 }, "timeseries": [ { "date": "string", "conversions": 0, "totalValue": 0 } ], "breakdown": [ { "source": "string", "medium": "string", "campaign": "string", "conversions": 0, "converters": 0, "totalValue": 0 } ]}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}How is this guide?

